> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create a deployment policy (Beta)

POST https://api.sigmacomputing.com/v2/deploymentPolicies
Content-Type: application/json

Create a deployment policy to define what documents to deploy to a tenant organization and how to swap sources for those documents.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- Retrieve the **versionTagId** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint.
- Retrieve the identifier for `sourceSwapPolicies` by calling the [/v2/sourceSwapPolicies](https://help.sigmacomputing.com/reference/list-source-swap-policies) endpoint and using the `policyId` in the response.
    

Reference: https://help.sigmacomputing.com/reference/create-deployment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/deploymentPolicies:
    post:
      operationId: createDeployment
      summary: Create a deployment policy (Beta)
      description: >-
        Create a deployment policy to define what documents to deploy to a
        tenant organization and how to swap sources for those documents.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - Retrieve the **versionTagId** by calling the
        [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag)
        endpoint.

        - Retrieve the identifier for `sourceSwapPolicies` by calling the
        [/v2/sourceSwapPolicies](https://help.sigmacomputing.com/reference/list-source-swap-policies)
        endpoint and using the `policyId` in the response.
            
      tags:
        - deploymentPolicies
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/deploymentPolicies_createDeployment_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the deployment policy.
                versionTagId:
                  type: string
                sourceSwapPolicies:
                  type: array
                  items:
                    type: string
                  description: >-
                    Unique identifiers of the source swap policies used to swap
                    connections when deploying documents.
                nameInTenant:
                  type: string
                  description: >-
                    Name to use for the workspace created by the deployment
                    policy in the receiving tenant.
                copyInputTableData:
                  type: boolean
                  description: >-
                    Whether to copy input table data to receiving tenant
                    organizations when deploying documents. Only applies to
                    input tables that are editable in draft mode. Defaults to
                    false.
              required:
                - name
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    deploymentPolicies_createDeployment_Response_200:
      type: object
      properties:
        deploymentPolicyId:
          type: string
      required:
        - deploymentPolicyId
      title: deploymentPolicies_createDeployment_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "name": "North America Tenant Deployment Policy"
}
```

**Response**

```json
{
  "deploymentPolicyId": "dp-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/deploymentPolicies"

payload = { "name": "North America Tenant Deployment Policy" }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/deploymentPolicies';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"name":"North America Tenant Deployment Policy"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/deploymentPolicies"

	payload := strings.NewReader("{\n  \"name\": \"North America Tenant Deployment Policy\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/deploymentPolicies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"North America Tenant Deployment Policy\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/deploymentPolicies")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"North America Tenant Deployment Policy\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/deploymentPolicies', [
  'body' => '{
  "name": "North America Tenant Deployment Policy"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/deploymentPolicies");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"North America Tenant Deployment Policy\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["name": "North America Tenant Deployment Policy"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/deploymentPolicies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```